Workspaces
Preview permanent Workspace deletion
Explains permanent data loss, retained records, recovery, and current lifecycle blockers. Only the Organization Owner can inspect this preview.
GET
/workspaces/{id}/deletion-previewAuthorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
id*string
Workspace ID
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://example.com/workspaces/string/deletion-preview"{ "$schema": "https://example.com/api/v1/schemas/WorkspaceDeletionPreview.json", "blockers": [ { "code": "string", "message": "string" } ], "recovery_possible": true, "removed": [ "access" ], "retained": [ "required_records" ], "workspace_id": "string", "workspace_name": "string"}